# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl t/Font.t'

######################### We start with some black magic to print on failure.

# Change "1..N" below to so that N matches last test number

BEGIN { $| = 1; print "1..7\n"; $Image::ExifTool::noConfig = 1; }
END {print "not ok 1\n" unless $loaded;}

# test 1: Load the module(s)
use Image::ExifTool 'ImageInfo';
use Image::ExifTool::Font;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

use t::TestLib;

my $testname = 'Font';
my $testnum = 1;

# tests 2-7: Extract information from test Font files
{
    my $exifTool = new Image::ExifTool;
    my $type;
    foreach $type (qw(afm dfont otf pfa pfb pfm)) {
        ++$testnum;
        my $info = $exifTool->ImageInfo("t/images/Font.$type");
        print 'not ' unless check($exifTool, $info, $testname, $testnum);
        print "ok $testnum\n";
    }
}

# end
